//***************************************************************************
//
// FPS.CPP
// by Harlen C. Batagelo
//
//***************************************************************************

#include <GL/glut.h>

#include "fps.h"

static int start, finish, count;
static double retv = 0.0;

/////////////////////////////////////////////////////////////////////////////
// Reset FPS counter
/////////////////////////////////////////////////////////////////////////////
void resetFPS (void)
{
	count = 0;
	start = glutGet (GLUT_ELAPSED_TIME);
} // resetFPS

/////////////////////////////////////////////////////////////////////////////
// Return FPS computed from the last time it passed one second
/////////////////////////////////////////////////////////////////////////////
double getFPS (void)
{
	count++;

	finish = glutGet (GLUT_ELAPSED_TIME);

	if ((finish - start) >= 250)
	{
		retv = (double)count / ((finish - start) / 1000.0);
		resetFPS ();
	}

	return retv;
} // getFPS
