//***************************************************************************
//
// POLY2D.H
// by Harlen C. Batagelo
//
//***************************************************************************

#ifndef _POLY2D_H
#define _POLY2D_H

#define MAX_VERTEX 16

#include "vertex2d.h"

/////////////////////////////////////////////////////////////////////////////
// Define a 2D polygon
/////////////////////////////////////////////////////////////////////////////
class Poly2D : public Vertex2D
{
private:
	int size;
	Vertex2D vt[MAX_VERTEX];

public:
	Poly2D (void) { size = 0; }

	inline void SetSize (int _size) { size = _size; }
	inline void SetXY (int _n, float _x, float _y) { vt[_n].SetXY (_x, _y); }
	inline int GetSize (void) { return size; }
	inline float GetX (int _n) { return vt[_n].GetX (); }
	inline float GetY (int _n) { return vt[_n].GetY (); }

	// clip polygon against a rectangular boundary
	void ClipRect (float left, float top, float right, float bottom);
};

#endif